Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::Ext::IDeFogSettings Class Reference

Request settings used to configure the de-fog algorithm. More...

`#include <DeFog.h>`

Inheritance diagram for Argus::Ext::IDeFogSettings:

List of all members.

## Public Member Functions

virtual void | setDeFogEnable (bool enable)=0
| Enables or disables de-fog.
virtual bool | getDeFogEnable () const =0
virtual Status | setDeFogAmount (float amount)=0
| Sets the amount of fog to be removed.
virtual float | getDeFogAmount () const =0
virtual Status | setDeFogQuality (float quality)=0
| Set the quality of the effect, lower quality results in lower execution time.
virtual float | getDeFogQuality () const =0

## Static Public Member Functions

static const InterfaceID & | id ()

## Protected Member Functions

| ~IDeFogSettings ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Request settings used to configure the de-fog algorithm.

Definition at line 52 of file DeFog.h.

## Constructor & Destructor Documentation

Argus::Ext::IDeFogSettings::~IDeFogSettings | ( |  | ) |

inlineprotected

Definition at line 92 of file DeFog.h.

## Member Function Documentation

virtual float Argus::Ext::IDeFogSettings::getDeFogAmount | ( |  | ) | const

pure virtual

Returns:
  the amount of fog to remove.

virtual bool Argus::Ext::IDeFogSettings::getDeFogEnable | ( |  | ) | const

pure virtual

Returns:
  whether or not de-fog is enabled.

virtual float Argus::Ext::IDeFogSettings::getDeFogQuality | ( |  | ) | const

pure virtual

Returns:
  the effect quality.

static const InterfaceID& Argus::Ext::IDeFogSettings::id | ( |  | ) |

inlinestatic

Definition at line 55 of file DeFog.h.

virtual Status Argus::Ext::IDeFogSettings::setDeFogAmount | ( | float | amount | ) |

pure virtual

Sets the amount of fog to be removed.

Range 0.0 - 1.0 (none - all).

Parameters:

  [in] | amount | amount of fog to remove.

virtual void Argus::Ext::IDeFogSettings::setDeFogEnable | ( | bool | enable | ) |

pure virtual

Enables or disables de-fog.

Parameters:

  [in] | enable | whether or not de-fog is enabled.

virtual Status Argus::Ext::IDeFogSettings::setDeFogQuality | ( | float | quality | ) |

pure virtual

Set the quality of the effect, lower quality results in lower execution time.

Range 0.0 - 1.0 (low quality - high quality).

Parameters:

  [in] | quality | effect quality.

The documentation for this class was generated from the following file:

- include/Argus/Ext/DeFog.h